__author__     = "Aaron Straup Cope"
__url__        = "http://aaronland.info/python/w5"
__version__    = "1.0a8"
__cvsversion__ = "$Revision: 1.26 $"
__date__       = "$Date: 2004/11/09 15:17:45 $"
__copyright__  = "%s\n%s\n%s" % \
                 ("This application is licensed under the",
                  "Creative Commons Attribution-NonCommercial License",
                  "http://creativecommons.org/licenses/by-nc/1.0/")

__license__    = "This application is licensed under the Creative \
Commons Attribution-NonCommercial License. To view a copy of this \
license, visit http://creativecommons.org/licenses/by-nc/1.0/ or send \
a letter to Creative Commons, 559 Nathan Abbott Way, Stanford, \
California 94305, USA."

# $Id: rConstants.py,v 1.26 2004/11/09 15:17:45 asc Exp $

from wxPython.wx import wxNewId

from os import geteuid
from pwd import getpwuid

ID_APP = wxNewId()

USER_HOMEDIR = getpwuid(geteuid())[5]

SECONDS_DELAY  = 30
SECONDS_SLEEP  = 0.01
COUNTER_DELAY  = int(1/SECONDS_SLEEP) * SECONDS_DELAY

# Insert hand-waving about internationalization
# here. Patches welcome...

TITLE_APP      = "The so-called \"w5\" application"
TITLE_ABOUT    = "About"
TITLE_INFO     = "Image Info"
TITLE_EDITSERVICE = "Edit %s "
TITLE_ADDSERVICE = "Add a new service"
TITLE_SERVICES   = "Services"

MENUBAR_FILE   = "&File"
MENUBAR_TOOLS  = "&Tools" 
MENUBAR_HELP   = "&Help"
MENUBAR_EDIT   = "&Edit"

MENU_ABOUT     = "&About"
MENU_PAUSE     = "&Pause"
MENU_RESUME    = "&Resume"
MENU_MAXHEIGHT = "&Height"
MENU_MAXWIDTH  = "&Width"
MENU_INFO      = "Image &Info"
MENU_PREFS     = "&Services"
MENU_LOG       = "&Log Events"
MENU_QUIT      = "&Quit"

DESCRIBE_PAUSE   = "Pause"
DESCRIBE_RESUME  = "Resume"
DESCRIBE_INFO    = "Info"
DESCRIBE_LOG     = "Log events"
DESCRIBE_ABOUT   = "More information about this program"
DESCRIBE_QUIT    = "Quit the program"
DESCRIBE_MAXHEIGHT = "Set maximum height for an image."
DESCRIBE_MAXWIDTH  = "Set maximum width for an image."
DESCRIBE_PREFS     = "Services"

LABEL_OK = "OK"
LABEL_CANCEL = "Cancel"
LABEL_REQUIRED = "Required"
LABEL_OPTIONAL = "Optional"

LABEL_TITLE = "Title"
LABEL_LOGIN = "Login"
LABEL_ENDPOINT = "Server"
LABEL_FILTER = "Enable filter"

BUTTON_ADD = "&Add"
BUTTON_EDIT = "&Edit"
BUTTON_REMOVE = "&Remove"
BUTTON_CLOSE = "&Close"

MSG_PAUSED       = "Paused, press Ctrl-R to resume"
MSG_POLLING      = "Asking for a new image"
MSG_PROCESSING   = "Processing response"
MSG_LOG          = "Logging enabled"
MSG_NOLOG        = "Logging disabled"
MSG_NOINFO       = "No additional information\nwas sent with the image."

ERR_ERROR      = "Error"
ERR_POLLING    = "Failed to get image from server"
ERR_STRINGIFY  = "Failed to read image from server"
ERR_STREAMIFY  = "Failed to munge image"
ERR_DISPLAY    = "Failed to set image"
ERR_IMAGEINFO  = "No image data"
ERR_SCALED     = "Failed to scale image"
ERR_RANDOMSERVER = "Failed to retrieve a server"
ERR_UNDEFINED    = "Undefined error"
ERR_LOADCONFIG   = "Failed to load config file"
ERR_BACKUPCONFIG = "Failed to backup config file"
ERR_SAVECONFIG   = "Failed to save config file"
ERR_NOSERVICES   = "Unable to locate any services"
ERR_SERVICEINFO  = "Unable to read info for service"
ERR_MAXWIDTH     = "Failed to assign %s as maximum width"
ERR_MAXHEIGHT    = "Failed to assign %s as maximum height"
ERR_NOCONFIG     = "no preferences file specified"

DIALOG_ABOUT = "%s\nversion %s\n\n%s" % \
               (TITLE_APP,
                __version__,
                __copyright__)

DIALOG_MAXHEIGHT_PROMPT = "Please enter a number.\n"
DIALOG_MAXHEIGHT_STATE  = "Current max width is %s"
DIALOG_MAXHEIGHT_SUBMIT = "Set max width"

DIALOG_MAXWIDTH_PROMPT = "Please enter a number.\n"
DIALOG_MAXWIDTH_STATE  = "Current max width is %s"
DIALOG_MAXWIDTH_SUBMIT = "Set max width"

LOG_REQUEST_IMAGE   = "Request image from %s"
LOG_RECEIVE_IMAGE   = "Image received has UID : %s"
LOG_DUPLICATE_IMAGE = "Image '%s' already seen"
LOG_BF_FAIL         = "Failed to add %s to bloom filter, %s"

# need to write code to do stuff like :
# (or whatever the correct syntax is)
# re_keyboard = re.complile("(?:[\&]+)&(\w).*$")
# KEY_PREFS_ADD = re_keyboard.match(BUTTON_ADD).group(1)

KEY_PREFS_ADD    = "A"
KEY_PREFS_CLOSE  = "C"
KEY_PREFS_EDIT   = "E"
KEY_PREFS_REMOVE = "R"

KEY_DISPLAY_ABOUT     = "A"
KEY_DISPLAY_MAXHEIGHT = "H"
KEY_DISPLAY_INFO      = "I"
KEY_DISPLAY_LOG       = "L"
KEY_DISPLAY_PAUSE     = "P"
KEY_DISPLAY_QUIT      = "Q"
KEY_DISPLAY_RESUME    = "R"
KEY_DISPLAY_SERVICES  = "S"
KEY_DISPLAY_MAXWIDTH  = "W"

NS_W5         = "x-urn:asc:w5#"
NS_DUBLINCORE = "http://purl.org/dc/elements/1.1/"

W5_PREFIX   = "w5"
W5_SERVICE  = "service"
W5_PROTOCOL = "protocol"
W5_LOGIN    = "login"
W5_FILTER   = "filter"
W5_APP      = "application"
W5_APP_MAXWIDTH = "max-width"
W5_APP_MAXHEIGHT = "max-height"
W5_APP_LOGGING = "logging"
W5_APP_POSX = "pos-x"
W5_APP_POSY = "pos-y"
W5_PREFS    = "preferences"

DC_PREFIX   = "dc"
DC_TITLE    = "title"

PROTOCOL_XMLRPC = "http://www.xmlrpc.com"

DIM_STATUSTEXT = 0.8
DIM_BORDER     = 4
